clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Friends | List of all members
HeaderEntry Struct Reference
Collaboration diagram for HeaderEntry:
[legend]

## Public Attributes
std::string | Name
Location | Loc

## Friends
bool | operator== (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator!= (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator< (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator> (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator<= (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator>= (const HeaderEntry &X, const HeaderEntry &Y)

## Detailed Description

Definition at line 462 of file Modularize.cpp.

## Friends And Related Function Documentation

bool operator!= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 469 of file Modularize.cpp.

bool operator< | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 472 of file Modularize.cpp.

bool operator<= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 478 of file Modularize.cpp.

bool operator== | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 466 of file Modularize.cpp.

bool operator> | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 475 of file Modularize.cpp.

bool operator>= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 481 of file Modularize.cpp.

## Member Data Documentation

Location HeaderEntry::Loc

Definition at line 464 of file Modularize.cpp.

std::string HeaderEntry::Name

Definition at line 463 of file Modularize.cpp.

The documentation for this struct was generated from the following file:

- Modularize.cpp